{* Calculate title from path *}
{capture name="title"}
   {if count($path) > 1} - {/if}
   {foreach from=$path item=ctg name=path}
      {if $smarty.foreach.path.iteration gt 2}
         &gt;
      {/if}
      {if not $smarty.foreach.path.first}
         {$ctg.TITLE}
      {/if}
   {/foreach}
{/capture}
{strip}
{if $title_prefix}
   {assign var="in_page_title" value=$title_prefix|cat:$category.TITLE}
{else}
   {assign var="in_page_title" value=$category.TITLE}
{/if}
{assign var="description" value=$category.DESCRIPTION}
{assign var="tdescription" value=$category.TDESCRIPTION}
{assign var="catcontent" value=$category.CATCONTENT}
{include file="header.tpl" article=$article}

{include file="top_bar.tpl"}

{if !empty($category.ID) && (!empty($category.DESCRIPTION) || !empty($category.TITLE))}
  <h3>{l}Parent Category{/l}: <span id="main_title">{$category.TITLE}</span>
  </h3>
  
  

  <div style="float: right">

 {if $rights.delCat eq 1}
 <a href="{$smarty.const.DOC_ROOT}/admin/dir_categs_edit.php?action=E:{$category.ID}" target="blank" title="Edit Category">Edit Category</a>&nbsp;
  <a href="{$smarty.const.DOC_ROOT}/admin/dir_links.php?r=1" target="blank" title="View Listings">View Listings</a>&nbsp;
 <a href="{$smarty.const.DOC_ROOT}/inplace_editcat.php?ID={$category.ID}&mode=del&detail=1&TB_iframe=true&height=100&width=250" class="thickbox" onclick="{literal}question = confirm('Are you sure you want to delete this category?');if (question !='0'){return showThickbox(this);} else return false;{/literal}">
 <img src="{$smarty.const.DOC_ROOT}/templates/{$smarty.const.USE_TEMPLATE}/images/delete.gif" width="14" height="14" style="border: none;" alt="delete link"/> 
 </a>
 {if ($category.STATUS<2) && $rights.editCat eq 1}
  <a href="{$smarty.const.DOC_ROOT}/inplace_editcat.php?ID={$category.ID}&mode=active&detail=1&TB_iframe=true&height=100&width=250" class="thickbox" onclick="{literal}question = confirm('Are you sure you want to make this category active?');if (question !='0'){return showThickbox(this);} else return false;{/literal}">
  <img src="{$smarty.const.DOC_ROOT}/templates/{$smarty.const.USE_TEMPLATE}/images/active.gif" width="14" height="14" style="border: none;" alt="category is inactive" class="float_tiny"/>
  </a>
 {/if}
 {/if}
  </div>
  
  <div align="center" id="main_desc">{$category.DESCRIPTION}</div>
{/if}
{* Calculate the number of categories per row *}
   {php}
      $this->assign('cats_per_col', ceil(count($this->get_template_vars('categs')) / CATS_PER_ROW));
   {/php}

{if $cats_per_col > 15}
   {php}
      $this->assign('cats_per_col', ceil(count($this->get_template_vars('categs')) / (CATS_PER_ROW + 1)));
   {/php}
{/if}

{* Show category search results *}
{if $search_category}
   {$search_category}

{/if}


{if isset($have_search_results) and $have_search_results == 0}
   <div class="noResults">
      <p>{l}Sorry, no records found that match your keyword(s){/l}: "{$search|escape|wordwrap:200:"\n":true}"</p>
      <p>{l}Suggestions{/l}:</p>
      <p>
         <ul>
            <li>{l}Make sure all words are spelled correctly{/l}.</li>
            <li>{l}Try different keywords{/l}.</li>
            <li>{l}Try more general keywords{/l}.</li>
         </ul>
      </p>
   </div>
{/if}

       
{if !$uid & !$search & empty($category.ID) & !$list & $scriptname == "index"}
      {if !$maincontent}&nbsp;
      {else}
      <div class="flinks_top_right"> 
      <div class="flinks_top" style="height:auto; border-bottom:1px solid grey; background:none;">
      {$maincontent}
      </div></div>
      {/if}
{elseif !empty($category.ID) && !empty($catcontent) }
         {$catcontent}
{/if}
{if !$uid & !$search & empty($category.ID) & !$list & $scriptname == "index"}
		{foreach from=$widgets.MAIN_ON_HOMEPAGE.TOP item=v}
			{if $v.SETTINGS.DISPLAY_IN_BOX eq 'Yes'}
			{include file="widget_central_top.tpl" TITLE=$v.SETTINGS.TITLE}
			{/if}
			{if $path|@count lt 2 && $v.CONTENT|@count gt 0}
			<div class="flinks_top_center" style="padding:10px 5px;">
			{$v.CONTENT}
			</div>
			{else}
			{$v.CONTENT}
			{/if}
			{if $v.SETTINGS.DISPLAY_IN_BOX eq 'Yes'}
			{include file="widget_central_bot.tpl"}
			{/if}
		{/foreach}
		{/if}
{* Categories *}
{if !$uid & !$search & !$list & $scriptname == "index"}
{if !empty($categs)}
   {if !empty($category.ID)}
       <div class="flinks_top_right"><div class="flinks_top">{l}Categories{/l}</div></div>
   {/if}
   <table border="0" cellpadding="0" cellspacing="2" class="center_categor">
   <tr>
      {foreach from=$categs item=cat name=categs}
      {if ($smarty.foreach.categs.iteration mod $cats_per_col eq 1 and $cats_per_col gt 1) or $smarty.foreach.categs.first}<td>{/if}
      <h2><a href="{$smarty.const.DOC_ROOT}/{$cat.CACHE_URL|escape}" title="{$cat.TITLE|escape}">{$cat.TITLE|escape}</a>{if $smarty.const.CATS_COUNT} <span class="count">({$cat.COUNT})</span>{/if}</h2>

      {* Display subcategories *}
      {if !empty($cat.SUBCATS)}
      <p class="subcats">
         {foreach from=$cat.SUBCATS item=scat name=scategs}
            <a href="{$smarty.const.DOC_ROOT}/{$scat.CACHE_URL|escape}">
            {$scat.TITLE|escape}</a>, {/foreach} ...
      </p>
      {/if}
      {if ($smarty.foreach.categs.iteration mod $cats_per_col eq 0 and $cats_per_col gt 1) or $smarty.foreach.categs.last}</td>{/if}
      {/foreach}
   </tr>
   </table>
{/if}{/if}

{if !empty($feat_links)}
   <div class="flinks_top_right"> 
   <div class="flinks_top"><h3>{l}Featured Listings{/l}</h3> </div>
   </div>
   {foreach from=$feat_links item=link name=links}
      {include file="main_link.tpl" link=$link}
   {/foreach}
{/if}

{* Listings heading and sorting*}
{if ($uid or $search or !empty($category.ID) or $list) and !empty($links)}
   <div class="flinks_top_right"> 
   <div class="flinks_top"><h3>{l}Listings{/l}</h3></div>
   </div>

   {if isset($links)}
   <div id="links">
   {foreach from=$links item=link name=links}
      {include file="main_link.tpl" link=$link item=$smarty.foreach.links.index}
   {/foreach}
   </div>
   {/if}
{/if}
{*no links in category*}

{if !empty($feeds)}
<h3>{$category.TITLE} news</h3>
{/if}
{if isset($feeds)}
<div id="links">
{foreach from=$feeds item=feed}
	{include file="feed.tpl" feed=$feed item=$smarty.foreach.feeds.index}
{/foreach}
</div>
{/if}
{* {if empty($feeds) and $category.ID gt 0}<div align="center">{l}No News In This Category{/l}</div>{/if} *}

{if empty($links) and $category.ID gt 0 and empty($feat_links) and $MainPaging.page_total <= 1} <div align="center"> {l} No Listings In This Category{/l}<a href="{$smarty.const.DOC_ROOT}/submit.php?id={$category.ID}"> {l}Place Your Ad Today{/l}.</a></div>{/if}

{*no articles in category*}
{*
{if empty($articles)  and $category.ID gt 0 and $MainPaging.page_total <= 1} <div align="center"> <span style="color:blue;">{l} No Articles In This Category {/l}</span><a href="{$smarty.const.DOC_ROOT}/submit_article.php?id={$category.ID}"> {l}Add An Article Today{/l}.</a></div>{/if} *}
{if $search_news}
	{$search_news}
{/if}

{* Show article search results *}
{if $search_article}
   {$search_article}
{/if}
{* Articles heading *}
{if !empty($articles) and !$search}
   <div class="flinks_top_right"> 
   <div class="flinks_top"><h3>{l}Articles{/l}</h3></div></div>
   {if $uLevel == '1'}
   <div id="edit_container">
   {/if}
   <div id="articles">
      <div class="flinks_top_center">
      <table>
      {foreach from=$articles item=article name=name}
         {include file="articlelink.tpl" link=$article item=$smarty.foreach.name.index}
      {/foreach}
      </table>
      </div>
   </div>
   {if $uLevel == '1'}
   </div>
   {/if}
{/if}

{* Javascript for tracking link clicks *}
{if $StopLinkHits eq 0}
   <script type="text/javascript">
   /* <![CDATA[ */
      var root = '{$smarty.const.DOC_ROOT}';
      {literal}
      var a = document.getElementsByTagName("a");
      for(i = 0; i< a.length; i++)
         if(a[i].id != '')
            a[i].onclick = count_link;
      function count_link() {
         i = new Image();
         i.src= root+'/cl.php?id='+this.id;
         return true;
      }
      {/literal}
   /* ]]> */
   </script>
{/if}


{include file="footer.tpl"}
{/strip}